For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenants

Tenant management operations

List tenants

get

Lists tenants

Authorizations
X-Auth-TokenstringRequired

Authentication token obtained from the authentication service

Query parameters
domain_idstringOptional

Filter by domain ID

enabledbooleanOptional

Filter by enabled status

is_domainbooleanOptional

Filter by is_domain flag

namestringOptional

Filter by tenant name

parent_idstringOptional

Filter by parent tenant ID

tagsstringOptional

Filter by tags

tags-anystringOptional

Filter by any of the specified tags

not-tagsstringOptional

Filter by not having any of the specified tags

not-tags-anystringOptional

Filter by not having all of the specified tags

limitinteger · min: 1Optional

Requests a page size of items

markerstringOptional

The ID of the last-seen item for pagination

Header parameters
X-Auth-TokenstringRequired

A valid authentication token

Responses
200

Tenants listed successfully

application/json
get/projects
GET /keystone/v3/projects HTTP/1.1
Host: example.platform9.com
X-Auth-Token: text
Accept: */*
{
  "projects": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "enabled": true,
      "domain_id": "text",
      "domain": {
        "id": "text",
        "name": "text",
        "description": "text",
        "enabled": true,
        "links": {
          "self": "text",
          "previous": "text",
          "next": "text"
        },
        "options": {}
      },
      "parent_id": "text",
      "is_domain": true,
      "tags": [
        "text"
      ],
      "options": {},
      "links": {
        "self": "text",
        "previous": "text",
        "next": "text"
      }
    }
  ],
  "links": {
    "self": "text",
    "previous": "text",
    "next": "text"
  }
}

Create tenant

post

Creates a tenant

Authorizations
X-Auth-TokenstringRequired

Authentication token obtained from the authentication service

Header parameters
X-Auth-TokenstringRequired

A valid authentication token

Body
Responses
201

Tenant created successfully

application/json
post/projects
POST /keystone/v3/projects HTTP/1.1
Host: example.platform9.com
X-Auth-Token: text
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "project": {
    "name": "text",
    "description": "text",
    "enabled": true,
    "domain_id": "text",
    "parent_id": "text",
    "is_domain": true,
    "tags": [
      "text"
    ],
    "options": {}
  }
}
{
  "project": {
    "id": "text",
    "name": "text",
    "description": "text",
    "enabled": true,
    "domain_id": "text",
    "domain": {
      "id": "text",
      "name": "text",
      "description": "text",
      "enabled": true,
      "links": {
        "self": "text",
        "previous": "text",
        "next": "text"
      },
      "options": {}
    },
    "parent_id": "text",
    "is_domain": true,
    "tags": [
      "text"
    ],
    "options": {},
    "links": {
      "self": "text",
      "previous": "text",
      "next": "text"
    }
  }
}

Show tenant details

get

Shows details for a tenant

Authorizations
X-Auth-TokenstringRequired

Authentication token obtained from the authentication service

Path parameters
project_idstringRequired

The tenant ID

Query parameters
include_limitsbooleanOptional

Include tenant limits in response

Header parameters
X-Auth-TokenstringRequired

A valid authentication token

Responses
200

Tenant details retrieved successfully

application/json
get/projects/{project_id}
GET /keystone/v3/projects/{project_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: text
Accept: */*
{
  "project": {
    "id": "text",
    "name": "text",
    "description": "text",
    "enabled": true,
    "domain_id": "text",
    "domain": {
      "id": "text",
      "name": "text",
      "description": "text",
      "enabled": true,
      "links": {
        "self": "text",
        "previous": "text",
        "next": "text"
      },
      "options": {}
    },
    "parent_id": "text",
    "is_domain": true,
    "tags": [
      "text"
    ],
    "options": {},
    "links": {
      "self": "text",
      "previous": "text",
      "next": "text"
    }
  }
}

Delete tenant

delete

Deletes a tenant

Authorizations
X-Auth-TokenstringRequired

Authentication token obtained from the authentication service

Path parameters
project_idstringRequired

The tenant ID

Header parameters
X-Auth-TokenstringRequired

A valid authentication token

Responses
204

Tenant deleted successfully

No content

delete/projects/{project_id}
DELETE /keystone/v3/projects/{project_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: text
Accept: */*

No content

Update tenant

patch

Updates a tenant

Authorizations
X-Auth-TokenstringRequired

Authentication token obtained from the authentication service

Path parameters
project_idstringRequired

The tenant ID

Header parameters
X-Auth-TokenstringRequired

A valid authentication token

Body
Responses
200

Tenant updated successfully

application/json
patch/projects/{project_id}
PATCH /keystone/v3/projects/{project_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: text
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "project": {
    "name": "text",
    "description": "text",
    "enabled": true,
    "domain_id": "text",
    "parent_id": "text",
    "is_domain": true,
    "tags": [
      "text"
    ],
    "options": {}
  }
}
{
  "project": {
    "id": "text",
    "name": "text",
    "description": "text",
    "enabled": true,
    "domain_id": "text",
    "domain": {
      "id": "text",
      "name": "text",
      "description": "text",
      "enabled": true,
      "links": {
        "self": "text",
        "previous": "text",
        "next": "text"
      },
      "options": {}
    },
    "parent_id": "text",
    "is_domain": true,
    "tags": [
      "text"
    ],
    "options": {},
    "links": {
      "self": "text",
      "previous": "text",
      "next": "text"
    }
  }
}

Last updated

Was this helpful?